Skip to content
WP Engine Developers

Trigger domain TXT record verification

POST
/installs/{install_id}/domains/{domain_id}/verification

Triggers verification of the TXT record for a domain to confirm ownership.

install_id
required
string format: uuid

ID of install

domain_id
required
string format: uuid

ID of domain

Domain verification successful

object
id

The UUID of the domain

string format: uuid
Example
e41fa98f-ea80-4654-b229-a9b765d0863a
name

The domain name

string
Example
example.com
txt_verified_time

The time when the TXT record was verified

string
Example
2026-04-20T16:00:00.007Z
txt_verified_domain

The domain that the TXT record was verified for

string
Example
example.com
txt_verification_key

The TXT record verification key. Null if the domain is already verified.

string
Example
_wpe_verification
txt_verification_value

The TXT record verification value. Null if the domain is already verified.

string

Bad Request

object
message
required

A message regarding the error that occurred on the server

string
Example
Invalid Site: Name cannot be empty.
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
Example
Site
field
required

(Optional) The specific field associated with the error

string
Example
name
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
Example
invalid_value
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
Example
too_long
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
Name is too long (maximum is 40 characters)

Authentication Error

object
message
required

A message regarding the error that occurred on the server

string
Example
Bad Credentials
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not authorized

object
message
required

A message regarding the error that occurred on the server

string
Example
You don't have permission to perform that action
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not found

object
message
required

A message regarding the error that occurred on the server

string
Example
Not Found
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Too many requests

Internal server error

object
message
required

A message regarding the error that occurred on the server

string
Example
An unexpected error occurred, please try again in a few minutes

Service unavailable